%define         pname spamassassin
%define         pversion 3.3.1
%define         bversion 2018
%define         rpmrelease iworx
%define         pdir Mail
%define	        spamd_user spamd

Autoreq: 0

%define	    _use_internal_dependency_generator	0
%define     _unpackaged_files_terminate_build       0
%define     _missing_doc_files_terminate_build      0

%define     perl_sitelib %(eval "`%{__perl} -V:installsitelib`"; echo "$installsitelib")
%define 	perl_vendorlib  %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define 	perl_vendorarch  %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define 	krb5backcompat %([ -a /usr/kerberos/include/krb5.h ] && echo 1 || echo 0)

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define 	build_rht_90   0
%define		build_cos_3x   0
%define		build_fdr_10   0
%define		build_fdr_20   0
%define		build_fdr_30   0
%define		build_fdr_40   0
%define		build_fdr_80   0
%define		build_fdr_90   0
%define		build_whb_3x   0
%define		build_rhe_2x   0
%define		build_rhe_3x   0
%define		build_rhe_4x   0
%define		build_rhe_5x   0
%define		build_rhe_6x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_cos3x: 	%{expand: %%define build_cos_3x   1}}
%{?_with_fdr10: 	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20: 	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30: 	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40: 	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr80: 	%{expand: %%define build_fdr_80   1}}
%{?_with_fdr90: 	%{expand: %%define build_fdr_90   1}}
%{?_with_whb3x: 	%{expand: %%define build_whb_3x   1}}
%{?_with_rhe2x: 	%{expand: %%define build_rhe_2x   1}}
%{?_with_rhe3x: 	%{expand: %%define build_rhe_3x   1}}
%{?_with_rhe4x: 	%{expand: %%define build_rhe_4x   1}}
%{?_with_rhe5x: 	%{expand: %%define build_rhe_5x   1}}
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements
%if %{build_rht_90}
%define		oscode rht90
%define 	ostype RedHat 9
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_cos_3x}
%define		oscode cos3x
%define 	ostype CentOS 3.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_10}
%define		oscode fdr10
%define 	ostype Fedora Core 1
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_20}
%define		oscode fdr20
%define 	ostype Fedora Core 2
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_30}
%define		oscode fdr30
%define 	ostype Fedora Core 3
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_40}
%define		oscode fdr40
%define 	ostype Fedora Core 4
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_80}
%define		oscode fdr80
%define 	ostype Fedora Core 8
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_90}
%define		oscode fdr90
%define 	ostype Fedora Core 9
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_whb_3x}
%define		oscode whb3x
%define 	ostype White Box 3.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_2x}
%define		oscode rhe2x
%define 	ostype RedHat Enterprise 2.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_3x}
%define		oscode rhe3x
%define 	ostype RedHat Enterprise 3.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_4x}
%define		oscode rhe4x
%define 	ostype RedHat Enterprise 4.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_5x}
%define		oscode rhe5x
%define 	ostype RedHat Enterprise 5.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires:	perl(Net::IP)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires: 	perl >= 5.6.1 
BuildRequires:	perl(Digest::SHA1)
BuildRequires:	perl(HTML::Parser)
BuildRequires:	openssl-devel
BuildRequires:	perl(NetAddr::IP)
Requires:	perl(NetAddr::IP)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(Statistics::Distributions)
Requires: 	perl(Parse::Syslog)
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires: 	perl(Mail::SPF::Query)
Requires:	perl(Archive::Tar)
Requires: 	perl-libwww-perl
Requires:	perl(Net::IP)
Requires:	gnupg
%define		ccflags %{optflags} -fPIC
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_6x}
    %define 	__find_provides /usr/lib/rpm/find-provides
%else
    %define 	__find_provides /usr/lib/rpm/find-provides.perl
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:        a spam filter for which can be invoked by mail delivery agents
Name:           %{pname}
Version:        %{pversion}
Release:        %{release}
License:        Artistic

Epoch:		2

Group:          Applications/Mail
Source0:        http://spamassassin.apache.org/released/Mail-SpamAssassin-%{pversion}.tar.gz
URL:            http://spamassassin.apache.org

Patch0:		spamassassin-enable-AWL.patch

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:       perl-Mail-SpamAssassin = %{epoch}:%{version}-%{release}
Requires: 	perl(Pod::Usage)
Requires: 	perl(Pod::Parser)
Requires: 	perl(HTML::Parser)
Requires: 	perl(Net::DNS)
Requires: 	perl(Digest::SHA1)
Requires: 	perl(MIME::Base64)
Requires: 	perl(DB_File)
Requires:       perl(DBD::mysql)
Requires:	perl(Time::HiRes)

Requires:	chkconfig
Requires:	initscripts

BuildRequires: perl(Net::DNS)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(DBI)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(ExtUtils::MakeMaker)

Source1:	spamassassin.init
Source99:	filter-requires-spamassassin.sh

Provides:	SpamAssassin = %{epoch}:%{version}-%{release}
Provides:	SpamAssassin-tools
Provides:	perl-Mail-SpamAssassin = %{epoch}:%{version}-%{release}

Obsoletes:	SpamAssassin
Obsoletes:	SpamAssassin-tools
Obsoletes:	perl-Mail-SpamAssassin

%define 	__find_requires %{SOURCE99}

%description
SpamAssassin provides you with a way to reduce, if not completely eliminate,
Unsolicited Bulk Email (or "spam") from your incoming email.  It can be
invoked by a MDA such as sendmail or postfix, or can be called from a procmail
script, .forward file, etc.  It uses a genetic-algorithm-evolved scoring system
to identify messages which look spammy, then adds headers to the message so
they can be filtered by the user's mail reading software.  This distribution
includes the spamd/spamc components which considerably speeds processing of
mail.

%prep
%setup -q -n %{pdir}-SpamAssassin-%{version}

%patch0 -p1

# Try detecting newest gcc (some distributions have got more then one compiler)
# and write it on a temp file 

[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033m`cat %{_tmppath}/%{name}-%{pversion}-gcc`"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

%build

unset LANG
%{__perl} Makefile.PL \
	INSTALLMAN1DIR=%{_mandir}/man1 \
	PREFIX=%{_prefix} \
	SYSCONFDIR=%{_sysconfdir} \
	DESTDIR=%{buildroot} \
	ENABLE_SSL=yes < /dev/null
%{__make} CC="`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}" \
	\%{?krb5backcompat:SSLCFLAGS=-DSPAMC_SSL\ -I/usr/kerberos/include}
%{__make} CC="`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}" \
	spamd/libspamc.so

%install

%makeinstall \
	INSTALLMAN1DIR=%{_mandir}/man1 \
	INSTALLMAN3DIR=%{_mandir}/man3 \
	INSTALLSITEMAN1DIR=%{_mandir}/man1 \
	INSTALLSITEMAN3DIR=%{_mandir}/man3 \
	INSTALLVENDORMAN1DIR=%{_mandir}/man1 \
	INSTALLVENDORMAN3DIR=%{_mandir}/man3

install -d %{buildroot}/%{_initrddir}
install -d %{buildroot}/%{_includedir}
install -m 0644 spamd/libspamc.so %{buildroot}/%{_libdir}
install -m 0644 spamc/libspamc.h %{buildroot}/%{_includedir}/libspamc.h
install -m 0700 %{SOURCE1} %{buildroot}/%{_initrddir}/spamassassin

mkdir -p %{buildroot}/etc/mail/spamassassin

mkdir -p %{buildroot}/etc/mail/spamassassin/sa-update-keys

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%post
if [ $1 -eq 1 ] ; then
/sbin/chkconfig --add spamassassin
/sbin/chkconfig --level 345 spamassassin on
fi;

# older versions used /etc/sysconfig/spamd whereas it should have been
# spamassassin, so fix it here
if [ -f /etc/sysconfig/spamd ]; then
  %{__sed} -e 's/^OPTIONS=/SPAMDOPTIONS=/' /etc/sysconfig/spamd > /etc/sysconfig/spamassassin
  %{__mv} /etc/sysconfig/spamd /etc/sysconfig/spamassassin.rpmold
fi
# If spamd is running, let's be sure to change the lock file as well ...
if [ -f /var/lock/subsys/spamd ]; then
  %{__mv} /var/lock/subsys/spamd /var/lock/subsys/spamassassin
fi

wget http://spamassassin.apache.org/updates/GPG.KEY >/dev/null 2>&1
/usr/bin/sa-update --import GPG.KEY >/dev/null 2>&1
/bin/rm GPG.KEY 2> /dev/null
/usr/bin/sa-update || :

# for VPS shits, there is no network file on VPS OS template creation
if [ -f /etc/sysconfig/network ]; then
	/sbin/service spamassassin condrestart > /dev/null 2>&1
fi

%pre
if [ -z "`/usr/bin/id -g %{spamd_user} 2>/dev/null`" ]; then
	%{_sbindir}/groupadd -r -f %{spamd_user} 2>&1 || :
fi

if [ -z "`/usr/bin/id -u %{spamd_user} 2>/dev/null`" ]; then
	%{_sbindir}/useradd -r -M -d /tmp  -s /sbin/nologin -c "SpamAssassin" -g %{spamd_user} %{spamd_user} 2>&1 || :
fi

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: daemontools package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi

%postun
if [ $1 = 0 ]; then
	/sbin/service spamassassin stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del spamassassin || :
fi

if [ $1 -eq 0 ]; then
	%{_sbindir}/userdel -r %{spamd_user} > /dev/null 2>&1 || :
else
	/sbin/service spamassassin condrestart > /dev/null 2>&1 || :
fi

##
## make sure that when we uprade from SpamAssassin to
## spamassassin that we don't lose the spamd usre
##

%triggerpostun -- SpamAssassin
if [ -z "`/usr/bin/id -g %{spamd_user} 2>/dev/null`" ]; then
	%{_sbindir}/groupadd -r -f %{spamd_user} 2>&1 || :
fi

if [ -z "`/usr/bin/id -u %{spamd_user} 2>/dev/null`" ]; then
	%{_sbindir}/useradd -r -M -d /tmp  -s /sbin/nologin -c "SpamAssassin" -g %{spamd_user} %{spamd_user} 2>&1 || :
	/sbin/service spamassassin restart > /dev/null 2>&1 || : 
fi

%files 
%defattr(-,root,root)
%doc README Changes sample-nonspam.txt sample-spam.txt INSTALL TRADEMARK USAGE
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_includedir}/*
%attr(0644,root,root) %{_libdir}/*.so
%attr(0600,root,root) %dir %{_sysconfdir}/mail/spamassassin/sa-update-keys
%config(noreplace) %attr(0700,root,root) %{_initrddir}/spamassassin
%{_mandir}/man1/*
%doc sql
%if %{build_rhe_6x}
%{perl_vendorlib}/../*
%else
%{perl_sitelib}/*
%{_datadir}/spamassassin
%endif
%config(noreplace) %{_sysconfdir}/mail/spamassassin
%{_mandir}/man3/*

%changelog
* Thu Oct 11 2012 Matt Parmelee <mparmelee@interworx.com>
- Made run-level modification conditional
* Fri Oct 07 2010 Paul Oehler <poehler@interworx.com>
- Removed extraneous rpm output
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Thu Aug 12 2010 Paul Oehler <poehler@interworx.com>
- Added sa-update logic
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Added Fedora 8 support
- updated for version 3.2.4
* Tue Nov 7 2005  Chris Wells <clwells@nexcess.net>
- updated name to spamassassin from mixed case
- updated for 3.1.0
* Wed Oct 19 2005 Chris Wells <clwells@nexcess.net>
- update for VPS install
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- Upgraded to 3.0.2 and made work with InterWorx-CP
* Sat Sep 11 2004 Chris Wells <clwells@nexcess.net>
- Repackaged for InterWorx-CP
* Tue Jun 29 2004 Daniel S. Reichenbach <dsr@best-off.org> 2.63-1.2.2
- Fix some typos in SPEC file
* Fri Jun 24 2004 Daniel S. Reichenbach <dsr@best-off.org> 2.63-1.2.1
- Initial Build.
